Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZTemplateCacheFunction Class Reference
Template system » Template functions

Advanced cache handling. More...

## Public Member Functions
| __construct ( $blockName='cache-block')
| functionList ()
| functionTemplateHints ()
| templateNodeTransformation ( $functionName, &$node, $tpl, $parameters, $privateData)
| process ( $tpl, &$textElements, $functionName, $functionChildren, $functionParameters, $functionPlacement, $rootNamespace, $currentNamespace)
| processCachedPreprocess ( $tpl, $functionChildren, $functionParameters, $functionPlacement, $rootNamespace, $currentNamespace)
| processCached ( $tpl, $functionChildren, $rootNamespace, $currentNamespace, $placementString, $keys, $subtreeExpiry, $expiry, $ignoreContentExpiry)
| generateProcessedContent ( $fname, $args)
| hasChildren ()

## Public Attributes
const | DEFAULT_TTL = 7200
| $BlockName

## Static Private Member Functions
| processUncached ( $tpl, $functionChildren, $rootNamespace, $currentNamespace)

## Detailed Description

Advanced cache handling.

Definition at line 18 of file eztemplatecachefunction.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateCacheFunction::__construct | ( |  | $blockName = `'cache-block'` | ) |

Initializes the object with names.

Parameters

  string | $blockName |

Definition at line 27 of file eztemplatecachefunction.php.

## Member Function Documentation

## ◆ functionList()

eZTemplateCacheFunction::functionList | ( |  | ) |

Returns an array containing the name of the block function, default is "block". The name is specified in the constructor.

Definition at line 36 of file eztemplatecachefunction.php.

## ◆ functionTemplateHints()

eZTemplateCacheFunction::functionTemplateHints | ( |  | ) |

Definition at line 41 of file eztemplatecachefunction.php.

## ◆ generateProcessedContent()

eZTemplateCacheFunction::generateProcessedContent | ( |  | $fname,
|  |  | $args
| ) |  |

Definition at line 287 of file eztemplatecachefunction.php.

References processUncached().

## ◆ hasChildren()

eZTemplateCacheFunction::hasChildren | ( |  | ) |

Returns true.

Definition at line 321 of file eztemplatecachefunction.php.

## ◆ process()

eZTemplateCacheFunction::process | ( |  | $tpl,
|  | & | $textElements,
|  |  | $functionName,
|  |  | $functionChildren,
|  |  | $functionParameters,
|  |  | $functionPlacement,
|  |  | $rootNamespace,
|  |  | $currentNamespace
| ) |  |

Processes the function with all it's children.

Definition at line 175 of file eztemplatecachefunction.php.

References processCachedPreprocess(), and processUncached().

## ◆ processCached()

eZTemplateCacheFunction::processCached | ( |  | $tpl,
|  |  | $functionChildren,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  |  | $placementString,
|  |  | $keys,
|  |  | $subtreeExpiry,
|  |  | $expiry,
|  |  | $ignoreContentExpiry
| ) |  |

Definition at line 236 of file eztemplatecachefunction.php.

References eZTemplateCacheBlock\cachePath(), eZTemplateCacheBlock\decodeNodeID(), eZClusterFileHandler\instance(), and eZTemplateCacheBlock\keyString().

Referenced by processCachedPreprocess().

## ◆ processCachedPreprocess()

eZTemplateCacheFunction::processCachedPreprocess | ( |  | $tpl,
|  |  | $functionChildren,
|  |  | $functionParameters,
|  |  | $functionPlacement,
|  |  | $rootNamespace,
|  |  | $currentNamespace
| ) |  |

Definition at line 201 of file eztemplatecachefunction.php.

References DEFAULT_TTL, eZTemplateCacheBlock\placementString(), and processCached().

Referenced by process().

## ◆ processUncached()

eZTemplateCacheFunction::processUncached | ( |  | $tpl,
|  |  | $functionChildren,
|  |  | $rootNamespace,
|  |  | $currentNamespace
| ) |  |
| static private

Performs processing of the cache-block using the non-compiled way and with caching off.

Definition at line 301 of file eztemplatecachefunction.php.

Referenced by generateProcessedContent(), and process().

## ◆ templateNodeTransformation()

eZTemplateCacheFunction::templateNodeTransformation | ( |  | $functionName,
|  | & | $node,
|  |  | $tpl,
|  |  | $parameters,
|  |  | $privateData
| ) |  |

Definition at line 50 of file eztemplatecachefunction.php.

References eZTemplateCacheBlock\cachePath(), eZTemplateNodeTool\createAssignFromOutputVariableNode(), eZTemplateNodeTool\createCodePieceNode(), eZTemplateNodeTool\createOutputVariableDecreaseNode(), eZTemplateNodeTool\createOutputVariableIncreaseNode(), eZTemplateNodeTool\createSpacingDecreaseNode(), eZTemplateNodeTool\createSpacingIncreaseNode(), eZTemplateNodeTool\createVariableNode(), eZTemplateNodeTool\createWriteToOutputVariableNode(), eZTemplateCacheBlock\decodeNodeID(), eZTemplateNodeTool\elementConstantValue(), eZTemplateNodeTool\extractFunctionNodeChildren(), eZTemplateNodeTool\extractFunctionNodePlacement(), eZTemplateNodeTool\isConstantElement(), eZTemplateCacheBlock\keyString(), and eZTemplateCacheBlock\placementString().

## Member Data Documentation

## ◆ $BlockName

eZTemplateCacheFunction::$BlockName

Name of the function

Definition at line 328 of file eztemplatecachefunction.php.

## ◆ DEFAULT_TTL

const eZTemplateCacheFunction::DEFAULT_TTL = 7200

Definition at line 20 of file eztemplatecachefunction.php.

Referenced by processCachedPreprocess().

The documentation for this class was generated from the following file:

- eztemplatecachefunction.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.